import { TNSParticleDevice, TNSParticleDeviceType, TNSParticleDeviceVariable, TNSParticleEvent } from "./particle.common";
export declare class MyTNSParticleDevice implements TNSParticleDevice {
    particleDevice: any;
    id: string;
    name: string;
    status: string;
    connected: boolean;
    type: TNSParticleDeviceType;
    functions: Array<string>;
    variables: Array<TNSParticleDeviceVariable>;
    eventIds: Map<string, any>;
    constructor(particleDevice: any);
    rename(name: string): Promise<void>;
    getVariable(name: string): Promise<any>;
    callFunction(name: string, ...args: any[]): Promise<number>;
    subscribe(prefix: string, eventHandler: (event: TNSParticleEvent) => void, handlerId?: string): void;
    unsubscribe(prefix: string, handlerId?: string): void;
}
